GET
/api/v1/iam/groups/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/iam/groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/iam/groups/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/iam/groups/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieves a list of User groups with their members.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successful retrieval of IAM groups
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
zabbix_user_group_id
integer
member
Array<object>
object
id
integer
iam_user
object
member_id
integer
name
string
email
string
role
string
iam_type
string
invitation_status
string
allowed_to_edit_by_current_user
boolean
date_joined
string format: date-time
date_removed
string format: date-time
errors
object
key
additional properties
any
message
string
Example
{ "code": 200, "errors": {}, "message": "Success"}